Bug 1279490 - [RFE] Post concurrent sync of full repo content, " hammer repository synchronize" command takes more than 50% time to reach 100%.
[RFE] Post concurrent sync of full repo content, " hammer repository sync...
Status: CLOSED NOTABUG
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Repositories (Show other bugs)
6.1.4
x86_64 Linux
unspecified Severity high (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-09 09:59 EST by Pradeep Kumar Surisetty
Modified: 2017-07-26 15:41 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-01 00:24:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Network l2 in Mbits per sec (43.91 KB, image/png)
2015-11-09 09:59 EST, Pradeep Kumar Surisetty
no flags Details
disk iops (42.14 KB, image/png)
2015-11-09 10:00 EST, Pradeep Kumar Surisetty
no flags Details

  None (edit)
Description Pradeep Kumar Surisetty 2015-11-09 09:59:35 EST
Created attachment 1091779 [details]
Network l2 in Mbits per sec

Description of problem:

1) Installed Satelitte 6.1.4 compose 5. 
2) Sync 4 repos concurrently  (total content size: 104GB) from local repo server. ( created a local repo with CDN content) 
 
       Red Hat Enterprise Linux 5 Server RPMs i386 5Server 
       Red Hat Enterprise Linux 6 Server RPMs x86_64 5Server
       Red Hat Enterprise Linux 5 Server RPMs i386 5Server
       Red Hat Enterprise Linux 6 Server RPMs x86_64 5Server

3) even though "hammer repository synchronize " command continue to run till it reaches 100%, all content is copied almost 20 mins before itself.   

Essentially "hammer repository synchronize " command spend more than 50% of time after syncing the complete data ( in my case 104G). 

Attached Network l2_Mbits per sec and DISK IOPS graphs. As shown in graphs, post content syncing there is no network transfer or disk IOPS. But command (hammer repository synchronize) continue to run more than 50% of total time untill it reaches 100%   


version-Release number of selected component (if applicable):

pulp-server-2.6.0.17-1.el7sat.noarch
katello-2.2.0.16-1.el7sat.noarch
candlepin-0.9.49.9-1.el7.noarch
rubygem-hammer_cli-0.1.4.13-1.el7sat.noarch
satelitte 6.1.4 

How reproducible:



Steps to Reproduce:
1. Concurrently sync repos from local repo server to satelitte server as shown above. 
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Pradeep Kumar Surisetty 2015-11-09 10:00 EST
Created attachment 1091780 [details]
disk iops
Comment 3 Brian Bouterse 2016-03-21 16:16:38 EDT
There are several ways that metadata processing could be sped up but its such a big problem there are probably many small things we could do to make improvements. Consider filing a story to speed up metadata handling on the upstream Pulp issue tracker [0].

Regarding hammer waiting at 100% for 20 minutes, could hammer not be reporting on the task status correctly. A sync usually triggers one or more publishes after it. Perhaps hammer is not following the subsequently generated tasks whose IDs are in the spawned_task field?

[0]: https://pulp.plan.io/

Note You need to log in before you can comment on or make changes to this bug.